Subject: bug#32108: 27.0.50; Insertion of char from input method during macro invocation duplicates the char

From: Filipp Gunbin <[email-masked]>
Date: Wed, 11 Jul 2018 01:38:23 +0300

On 10/07/2018 19:18 +0300, Eli Zaretskii wrote:

>> From: Filipp Gunbin <[email-masked]>
>> Date: Tue, 10 Jul 2018 01:41:01 +0300
>>
>>
>> emacs -Q
>> C-u C-\ russian-computer
>> C-x (
>> <type any letter>
>> C-x )
>> C-x e
>>
>> The last command inserts two chars instead of one.
>>
>>
>> In GNU Emacs 27.0.50 (build 2, x86_64-apple-darwin17.6.0)
>> Repository revision: 6ffc6a698f5d425e402c35010394cdb17d8888ce
>> System Description:  Mac OS X 10.13.5
>
> Thanks.  I see this in the current emacs-26 branch as well.  If you
> can afford it, would you please bisect this bug?  I'd like to at least
> know how long ago did we break this (I'm afraid not too long).

I was trying to find the "good" commit to start bisect with, got past
25.1 (bug present there), but cannot build any of 24.x:

Loading /Users/fgunbin/src/emacs-bisect/lisp/button.el (source)...
Loading /Users/fgunbin/src/emacs-bisect/lisp/startup.el (source)...
Wrong type argument: listp, 35183230188054
make[1]: *** [Makefile:757: bootstrap-emacs] Error 1
make[1]: Leaving directory '/Users/fgunbin/src/emacs-bisect/src'
make: *** [Makefile:382: src] Error 2

I'm not sure what to do with this error.

Thanks,
Filipp